# ecpr2
Erstatnings-CPR 2 service

## Igang

For at undgå at binde et specifikt password til root-brugeren, skal man  oprette en admin-bruger først:

`mysql --user='root' --password='Password1' -e "CREATE USER 'admin'@'localhost' IDENTIFIED BY 'Password1'; GRANT ALL PRIVILEGES ON *.* TO 'admin'@'localhost' WITH GRANT OPTION;"`

Udfør derefter følgende mod lokal MariaDB:

- ecpr2/src/main/resources/db/recreate_database.sql
- ecpr2/src/main/resources/db/recreate_service_user.sql

Visse tests kræver at heap skrues op, og at GCOverheadLimit disables:

`export _JAVA_OPTIONS="-XX:-UseGCOverheadLimit -Xms512m -Xmx2048m"`

Kør først `mvn clean` i roden af projektet (for at maven kan installere client modul dependencies lokalt, som advis og admin modul client)
Kør herefter `mvn install -PCreateDBandUser -DskipTests -DskipIts`

For at synce op med NSP's svn repo, kør `./sync-to-svn.sh`
Det er oftest et problem at køre det lokalt, da det kræver svn installeret, så en genvej kan være at logge på ci01.fmk.netic.dk og køre følgende
```git clone https://github.com/trifork/ecpr2.git
cd ecpr2/
./sync-to-svn.sh
``` 

## Release
Kør `./create-release.sh <version>`

## Snapshot version (SNAPSHOT bliver appended af scriptet)
Kør `./create-snapshot-version.sh <version>`

## Byg på jenkins.nspop.dk under release push jobbet

## Fra commit til deploy på f.eks. webtest
* Kør `./create-release.sh <version>`
* Byg ECPR2_release_push på jenkins.nspop.dk
* Byg eCPR2-deploy på ci.fmk.netic.dk
* Byg Ansible på admin-mgmt.fmk.netic.dk
