/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.constants;

public class SearchConstants {
    public static final String PERSON_UUID = "personuuid";
    public static final String FAMILY_NAME = "familyname";
    public static final String GIVEN_NAME = "givenname";
    public static final String GENDER = "gender";
    public static final String BIRTH_DATE = "birthdate";
    public static final String CONTACT = "contact";
    public static final String STREET_ADDRESS = "streetaddress";
    public static final String CITY = "city";
    public static final String DISTRICT = "district";
    public static final String STATE = "state";
    public static final String POSTAL_CODE = "postalcode";
    public static final String COUNTRY = "country";

    // To be removed
    public static final String CONTACT_SYSTEM = "contactsystem";

    public static boolean canBeWildCard(String fieldName) {
        if (PERSON_UUID.equals(fieldName)) {
            return false;
        }
        if (GENDER.equals(fieldName)) {
            return false;
        }
        if (POSTAL_CODE.equals(fieldName)) {
            return false;
        }
        if (COUNTRY.equals(fieldName)) {
            return false;
        }

        return true;
    }
}
