/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.dao.impl;

import dk.sds.ecpr2.dao.impl.abstr.PersonDescriptorWithServiceActorRowMapper;
import dk.sds.ecpr2.domain.AddressVO;

import org.springframework.jdbc.core.RowMapper;
import java.sql.ResultSet;
import java.sql.SQLException;

public class AddressRowMapper extends PersonDescriptorWithServiceActorRowMapper<AddressVO> {
    @Override
    public AddressVO mapRow(ResultSet resultSet, int i) throws SQLException {
        final AddressVO addressVO = new AddressVO();

        addressVO.setStreetAddressLine1(resultSet.getString("StreetAddressLine1"));
        addressVO.setStreetAddressLine2(resultSet.getString("StreetAddressLine2"));
        addressVO.setStreetAddressLine3(resultSet.getString("StreetAddressLine3"));
        addressVO.setStreetAddressLine4(resultSet.getString("StreetAddressLine4"));
        addressVO.setStreetAddressLine4(resultSet.getString("StreetAddressLine5"));
        addressVO.setStreetAddressLine4(resultSet.getString("StreetAddressLine6"));
        addressVO.setStreetAddressLine4(resultSet.getString("StreetAddressLine7"));
        addressVO.setStreetAddressLine4(resultSet.getString("StreetAddressLine8"));
        addressVO.setStreetAddressLine4(resultSet.getString("StreetAddressLine9"));
        addressVO.setStreetAddressLine4(resultSet.getString("StreetAddressLine10"));
        addressVO.setCity(resultSet.getString("City"));
        addressVO.setDistrict(resultSet.getString("District"));
        addressVO.setState(resultSet.getString("State"));
        addressVO.setPostalCode(resultSet.getString("PostalCode"));
        addressVO.setCountry(resultSet.getString("Country"));
        addressVO.setPostBox(resultSet.getString("PostBox"));
        addressVO.setPersonPID(resultSet.getInt("PersonPID"));
        addressVO.setUuid(resultSet.getString("Uuid"));
        addressVO.setValidFrom(resultSet.getTimestamp("ValidFrom"));

        if ( ! useOnlySearchFields) {
            addressVO.setAddressPID(resultSet.getInt("AddressPID"));
            addressVO.setPersonUUID(resultSet.getString("PersonUUID"));
            addressVO.setUse(resultSet.getString("Use"));
            addressVO.setType(resultSet.getString("Type"));
            addressVO.setExpiry(resultSet.getTimestamp("Expiry"));
            super.mapPersonDescriptorAndServiceActorData(addressVO, resultSet, i);
        }

        return addressVO;
    }
}
