/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.dao.impl;

import dk.sds.ecpr2.dao.impl.abstr.PersonDescriptorRowMapper;
import dk.sds.ecpr2.dao.impl.abstr.PersonDescriptorWithServiceActorRowMapper;
import dk.sds.ecpr2.domain.IdentifierVO;
import dk.sds.ecpr2.domain.IdentifierWithoutServiceActorVO;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Mapping table data to domain object for contact information
 */
public class IdentifierWithoutServiceActorRowMapper extends PersonDescriptorRowMapper<IdentifierWithoutServiceActorVO>  {
    @Override
    public IdentifierWithoutServiceActorVO mapRow(ResultSet resultSet, int i) throws SQLException {
        final IdentifierWithoutServiceActorVO identifier = new IdentifierWithoutServiceActorVO();
                identifier.setIdentifierPID(resultSet.getInt("IdentifierPID"));
                identifier.setPersonPID(resultSet.getInt("PersonPID"));
                identifier.setValue(resultSet.getString("Value"));
                identifier.setOid(resultSet.getString("OID"));
                identifier.setValidity(resultSet.getInt("Validity"));
                identifier.setExpiry(resultSet.getTimestamp("Expiry"));
        super.mapPersonDescriptorData(identifier, resultSet, i);

        return identifier;
    }
}
