/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.dao.impl;

import dk.sds.ecpr2.domain.OIDVO;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

public class OIDRowMapper implements RowMapper<OIDVO> {
    @Override
    public OIDVO mapRow(ResultSet resultSet, int i) throws SQLException {
        final OIDVO oidVO = new OIDVO();
        oidVO.setOidPID(resultSet.getInt("OIDPID"));
        oidVO.setOid(resultSet.getString("OID"));
        oidVO.setPrimaryOidLabel(resultSet.getString("OIDLabel"));
        oidVO.setSecondaryOidLabel(resultSet.getString("SecondaryLabel"));
        oidVO.setRegex(resultSet.getString("RegEx"));
        oidVO.setType(resultSet.getString("Type"));
        oidVO.setModifiedTime(resultSet.getTimestamp("ModifiedTime"));
        return oidVO;
    }
}
