/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.dao.impl;

import dk.sds.ecpr2.domain.PersonVO;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

public class PersonRowMapper implements RowMapper<PersonVO> {
    @Override
    public PersonVO mapRow(ResultSet resultSet, int i) throws SQLException {
        final PersonVO personVO = new PersonVO();
        personVO.setPersonPID(resultSet.getInt("PersonPID"));
        personVO.setModifierPID(resultSet.getInt("ModifierPID"));
        personVO.setServiceActorPID(resultSet.getInt("ServiceActorPID"));
        personVO.setPersonUUID(resultSet.getString("PersonUUID"));
        personVO.setVersion(resultSet.getInt("Version"));
        personVO.setVersionDescription(resultSet.getString("VersionDescription"));
        personVO.setReservedUntil(resultSet.getTimestamp("ReservedUntil"));
        personVO.setModifiedTime(resultSet.getTimestamp("ModifiedTime"));
        personVO.setStatus(resultSet.getString("Status"));

        return personVO;
    }

}
