/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.dao.impl;

import dk.sds.ecpr2.domain.ServiceActorVO;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

public class ServiceActorRowMapper implements RowMapper<ServiceActorVO> {
    @Override
    public ServiceActorVO mapRow(ResultSet resultSet, int i) throws SQLException {

        final ServiceActorVO serviceActorVO = new ServiceActorVO();
        serviceActorVO.setServiceActorPID(resultSet.getInt("ServiceActorPID"));
        serviceActorVO.setPersonIdentifier(resultSet.getString("ActorPersonIdentifier"));
        serviceActorVO.setPersonIdentifierOID(resultSet.getString("ActorPersonIdentifierOID"));
        serviceActorVO.setFirstName(resultSet.getString("FirstName"));
        serviceActorVO.setLastName(resultSet.getString("LastName"));
        serviceActorVO.setRole(resultSet.getString("Role"));
        serviceActorVO.setAuthorisationNumber(resultSet.getString("AuthorisationNumber"));
        serviceActorVO.setOrganizationId(resultSet.getString("OrganizationId"));
        serviceActorVO.setOrganizationName(resultSet.getString("OrganizationName"));
        serviceActorVO.setHashValue(resultSet.getInt("HashValue"));
        serviceActorVO.setModifiedTime(resultSet.getTimestamp("ModifiedTime"));

        return serviceActorVO;
    }
}
