/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.domain;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

public class PagingSearchResultVO<T> implements Serializable, Iterable<T>  {
    private ArrayList<T> result;
    private boolean hasNextPage;
    private Integer page;

    @SuppressWarnings("unused")
    private PagingSearchResultVO() {

    }

    public PagingSearchResultVO(ArrayList<T> result, boolean hasNextPage, Integer page) {
        this.result = result;
        this.hasNextPage = hasNextPage;
        this.page = page;
    }

    public ArrayList<T> getResults() {
        return result;
    }

    public boolean hasNextPage() {
        return hasNextPage;
    }

    public Integer getPage() {
        return page;
    }

    @Override
    public Iterator<T> iterator() {
        return result.iterator();
    }
}
