/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.security;

public class SecurityCredentials {
    private String cvr;
    private String idCardType;
    private String userCpr;
    private String requestedRole;
    private String systemName;
    private String authorisationId;
    private String onBehalfOfAuthorisationNo;
    private String onBehalfOfPersonIdentifier;

    public void setCvr(String cvr) {
        this.cvr = cvr;
    }

    public void setIdCardType(String idCardType) {
        this.idCardType = idCardType;
    }

    public void setUserCpr(String userCpr) {
        this.userCpr = userCpr;
    }

    public void setRequestedRole(String requestedRole) {
        this.requestedRole = requestedRole;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public void setAuthorisationId(String authorisationId) {
        this.authorisationId = authorisationId;
    }

    public String getCvr() {
        return cvr;
    }

    public String getIdCardType() {
        return idCardType;
    }

    public String getUserCpr() {
        return userCpr;
    }

    public String getRequestedRole() {
        return requestedRole;
    }

    public String getSystemName() {
        return systemName;
    }

    public String getAuthorisationId() {
        return authorisationId;
    }

    public String getOnBehalfOfAuthorisationNo() {
        return onBehalfOfAuthorisationNo;
    }

    public void setOnBehalfOfAuthorisationNo(String onBehalfOfAuthorisationNo) {
        this.onBehalfOfAuthorisationNo = onBehalfOfAuthorisationNo;
    }

    public String getOnBehalfOfPersonIdentifier() {
        return onBehalfOfPersonIdentifier;
    }

    public void setOnBehalfOfPersonIdentifier(String onBehalfOfPersonIdentifier) {
        this.onBehalfOfPersonIdentifier = onBehalfOfPersonIdentifier;
    }
}
