/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.util;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@Data
@Configuration
@PropertySource("classpath:/ecpr2.properties")
public class Properties {

    @Value("${dcc.endpoint}")
    public String dccEndpoint;

    @Value("${schemavalidation.validate.requests:true}")
    public boolean schemavalidationValidateRequests;

    @Value("${schemavalidation.validate.responses:true}")
    public boolean schemavalidationValidateResponse;

    @Value("${schemavalidation.fail.on.response.error:true}")
    public boolean schemavalidationFailOnResponseError;

    @Value("${max.reserved.personid.number:100}")
    public int maxReservedPersonIdNumber;

    @Value("${max.reserved.personid.number.pr.day:100}")
    public int maxReservedPersonIdNumberPrDay;

    @Value("${advis.enabled:true}")
    public boolean advisEnabled;

    @Value("${advis.send.via.kafka:true}")
    public boolean advisSendViaKafka;

    @Value("${kafka.producer.properties:/kafka-producer.properties}")
    public String kafkaProducerProperties;

    @Value("${kafka.producer.fmk.server}")
    public String kafkaFmkServer;

    @Value("${stamdata.cpr.url}")
    public String cprUrl;

    @Value("${isProduction:true}")
    public boolean isProduction;

}
