/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.util;

import java.time.Instant;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.ZoneOffset;
import java.util.Calendar;
import java.util.Date;

public class TimeHelper {

    /**
     *
     * @param year E.g. 2017
     * @param month E.g. 12 for december
     * @param day E.g. 31 for 31st
     * @return The newly created date
     */
    public static Date createNew(int year, int month, int day) {
        return createNew(year, month, day, 0, 0, 0);
    }

    public static Date createNew(int year, int month, int day, int hours, int minutes, int seconds) {
        return new Date(year - 1900, month, day, hours, minutes, seconds);
    }

    public static Date createNew(int date) {
        return new Date(date);
    }


    public static Date getCurrentTime() {
        return new Date();
    }

    public static Date getBeforeCurrentTime(int secondsBefore) {
        return Date.from(new Date().toInstant().minusSeconds(secondsBefore));
    }

    public static Date getAfterCurrentTime(int secondsAfter) {
        return Date.from(new Date().toInstant().plusSeconds(secondsAfter));
    }

    public static Date getDateInCopenhagen(Instant instant) {
        ZoneId zoneId = ZoneId.of("Europe/Copenhagen");
        ZoneOffset zoneOffset = zoneId.getRules().getOffset(instant);
        LocalDateTime localDateTime = LocalDateTime.ofInstant(instant, zoneOffset);
        return null; // TODO
    }
}
