/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.webservice;

import dk.sds.ecpr2._2017._10._01.*;
import org.springframework.ws.server.endpoint.annotation.Endpoint;
import org.springframework.ws.server.endpoint.annotation.PayloadRoot;
import org.springframework.ws.server.endpoint.annotation.RequestPayload;
import org.springframework.ws.server.endpoint.annotation.ResponsePayload;

@Endpoint
public interface ECPR2WebService {

    @PayloadRoot(localPart = "SearchPersonRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    SearchPersonResponse searchPerson(@RequestPayload SearchPersonRequest request) throws Exception;

    @PayloadRoot(localPart = "GetPersonByIdRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    GetPersonByIdResponse getPersonById(@RequestPayload GetPersonByIdRequest request) throws Exception;

    @PayloadRoot(localPart = "CreatePersonRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    CreatePersonResponse createPerson(@RequestPayload CreatePersonRequest request) throws Exception;

    @PayloadRoot(localPart = "CreatePersonIdRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    CreatePersonIdResponse createPersonId(@RequestPayload CreatePersonIdRequest request) throws Exception;

    @PayloadRoot(localPart = "ReservePersonIdRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    ReservePersonIdResponse reservePersonId(@RequestPayload ReservePersonIdRequest request) throws Exception;

    @PayloadRoot(localPart = "UpdatePersonRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    UpdatePersonResponse updatePerson(@RequestPayload UpdatePersonRequest request) throws Exception;

    @PayloadRoot(localPart = "MergePersonsRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    MergePersonsResponse mergePersons(@RequestPayload MergePersonsRequest request) throws Exception;

    @PayloadRoot(localPart = "DeletePersonRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    DeletePersonResponse deletePerson(@RequestPayload DeletePersonRequest request) throws Exception;

    @PayloadRoot(localPart = "GetPermissionsRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    GetPermissionsResponse getPermissions(@RequestPayload GetPermissionsRequest request) throws Exception;

    @PayloadRoot(localPart = "GetCprPersonRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    GetCprPersonResponse getCprPerson(@RequestPayload GetCprPersonRequest request) throws Exception;

    @PayloadRoot(localPart = "CompareNameRequest", namespace = "http://sds.dk/ecpr2/2017/10/01/")
    @ResponsePayload
    CompareNameResponse compareName(@RequestPayload CompareNameRequest request) throws Exception;
}
