/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.webservice.validation;

public class ValidationErrors {
    public static final String ADDRESS_USE_UNKNOWN = "Ukendt adresse-anvendelse: [%s]";
    public static final String ADDRESS_TYPE_UNKNOWN = "Ukendt adresse-type: [%s]";
    public static final String BAD_FORMAT_OID = "Forkert værdiformat: [%s] (%s)";
    public static final String BIRTHDATE_BAD_VALUE = "Ulovligt format for fødselsdag (ÅÅÅÅ-MM-DD): [%s]";
    public static final String BIRTHDATE_BAD_YEAR = "Ulovligt år for fødselsdag (ÅÅÅÅ-MM-DD): [%s]. Skal være efter 1890";
    public static final String CONTACT_USE_ILLEGAL = "Ukendt kontakt-anvendelse: [%s]";
    public static final String CONTACT_TYPE_ILLEGAL = "Ukendt kontakt-type: [%s]";
    public static final String CONTACT_VALUE_EMPTY = "Der skal angives en værdi for kontakt";
    public static final String COUNTRY_UNKNOWN = "Ukendt land: [%s]";
    public static final String COUNTRY_NAME_FORBIDDEN = "CountryName er forbudt i requests";
    public static final String CREATEPERSONID_INVALID_OID = "Der kan på nuværende tidspunkt kun oprettes en C-eCPR eller en X-eCPR";
    public static final String DUPLICATE_IDENTIFIER = "Værdien er angivet mere end én gang: [%s]";
    public static final String DUPLICATE_NAME_USE = "Mere end én 'Use' angivet for navn: [%s]";
    public static final String DUPLICATE_GENDER = "Køn må kun angives én gang";
    public static final String DUPLICATE_BIRTHDATE = "Fødselsdag må kun angives én gang";
    public static final String EXISTING_IDENTIFIER = "Værdien findes i forvejen: [%s] (%s)";
    public static final String EXPIRY_BAD_VALUE = "Ulovligt format for udløb (ÅÅÅÅ-MM-DD HH:MM): [%s]";
    public static final String FOR_DATE_NON_FUTURE = "ForDate skal være fremtidig";
    public static final String GENDER_VALUE_ILLEGAL = "Ukendt angivelse af køn: [%s]";
    public static final String GENDER_VALUE_REQUIRED = "Køn skal angives";
    public static final String IDENTIFIER_HAS_NO_VALUE = "%s har ingen værdi";
    public static final String IDENTIFIER_OIDLABEL_FORBIDDEN = "OIDLabel må ikke angives i requests";
    public static final String KEY_IDENTIFIER_INVALID = "Der kunne ikke fremfindes en person for det givne id: [%s]";
    public static final String MODIFIER_REQUIRED = "Der skal angives en modifikator";
    public static final String MODIFIER_DATES_NOT_ALLOWED = "Der må hverken angives ValidTo eller ReservedUntil på CreatePerson kald";
    public static final String MODIFIED_BY_REQUIRED = "Der skal angives en fuld modifikator";
    public static final String NAME_TEXT_FORBIDDEN = "Text er forbudt i requests";
    public static final String NAME_USE_INVALID = "Ukendt navnetype: [%s]";
    public static final String PID_FORBIDDEN = "PID er forbudt ifm. oprettelse: [%s]";
    public static final String PERSONID_VALUES_REQUIRED = "Der skal angives en lovlig værdi for OID: [%s]";
    public static final String QUERY_REQUIRED = "Der skal angives en søgestring";
    public static final String RESERVE_PERSON_ID_NUMBER_OVER_THRESHOLD = "Det ønskede antal erstatnings-CPR-numre er for højt";
    public static final String RESERVED_UNTIL_OVER_THRESHOLD = "Der kan ikke dannes erstatnings-CPR-nummer længere end 2 år ud i fremtiden";
    public static final String RESERVE_PERSON_ID_TOO_MANY_WITHIN_A_DAY = "Der er reserveret for mange erstatnings-CPR-numre for denne organisation i dag";
    public static final String SEARCH_BAD_QUERY = "Ulovlig søgning: [%s]";
    public static final String UNKNOWN_OID = "Ukendt OID: [%s]";
    public static final String UNKNOWN_PID = "Ukendt PID: [%s]";
    public static final String VALIDFROM_FORBIDDEN = "ValidFrom er forbudt i requests";
    public static final String VALIDTO_FORBIDDEN = "ValidTo er forbudt i requests";
    public static final String VALUE_CECPR_FORBIDDEN = "Der må ikke angives C-eCPR: [%s]";
    public static final String VALUE_XECPR_FORBIDDEN = "Der må ikke angives X-eCPR: [%s]";
    public static final String VALIDITY_REQUIRED = "Der skal angives en lovlig værdi for validitet: [%s]";
    public static final String VERSION_STRUCTURE_REQUIRED = "Der skal angives én Version-struktur";
    public static final String VERSION_OID_REQUIRED = "Der skal angives Version OID";
    public static final String VERSION_OIDLABEL_FORBIDDEN = "OIDLabel på Version er forbudt i requests: [%s]";
    public static final String NON_UNIQUE_MERGE = "To personer der merges skal være identiske pånær X-eCPR nummer";
}
