/**
 * MIT License
 *
 * Copyright (c) 2017 Trifork
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sds.ecpr2.service.handler;

import dk.sds.ecpr2.UnitTest;
import org.junit.Test;

import java.time.LocalDate;
import java.time.LocalDateTime;

import static org.junit.Assert.assertTrue;

public class ReservePersonIdHandlerTest extends UnitTest {

    @Test
    public void checkRandomDateGeneration() {
        int scopeDays = 100;
        LocalDateTime now = LocalDateTime.now();
        LocalDate nowDate = LocalDate.now();
        LocalDate endDate = nowDate.plusDays(scopeDays);
        ReservePersonIdHandler handler = new ReservePersonIdHandler();

        for (int i = 0; i < 100; i++) {
            LocalDateTime before = now.plusDays((int) (Math.random() * scopeDays));
            LocalDate generatedDate = handler.randomDateBeforeDate(before);
            //System.out.println("Before " + before + ": " + generatedDate);
            assertTrue((nowDate.isEqual(generatedDate) || nowDate.isBefore(generatedDate)) &&
                    (generatedDate.isEqual(endDate) || generatedDate.isBefore(endDate)));
        }
    }

}
